Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# GoogleApiClient.ConnectionCallbacks

com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks

## Class Overview

Provides callbacks that are called when the client is connected or disconnected from the service. Most applications implement `onConnected(Bundle)` to start making requests.

## Summary

Constants
int | CAUSE_NETWORK_LOST | A suspension cause informing you that a peer device connection was lost.
int | CAUSE_SERVICE_DISCONNECTED | A suspension cause informing that the service has been killed.

Public Methods
abstract void | onConnected(Bundle connectionHint) After calling `connect()`, this method will be invoked asynchronously when the connect request has successfully completed.
abstract void | onConnectionSuspended(int cause) Called when the client is temporarily in a disconnected state.

## Constants

#### public static final int CAUSE_NETWORK_LOST

A suspension cause informing you that a peer device connection was lost.

Constant Value: 2 (0x00000002)

#### public static final int CAUSE_SERVICE_DISCONNECTED

A suspension cause informing that the service has been killed.

Constant Value: 1 (0x00000001)

## Public Methods

#### public abstract void onConnected (Bundle connectionHint)

After calling `connect()`, this method will be invoked asynchronously when the connect request has successfully completed. After this callback, the application can make requests on other methods provided by the client and expect that no user intervention is required to call methods that use account and scopes provided to the client constructor.

Note that the contents of the `connectionHint` Bundle are defined by the specific services. Please see the documentation of the specific implementation of `GoogleApiClient` you are using for more information.

##### Parameters

connectionHint | Bundle of data provided to clients by Google Play services. May be null if no content is provided by the service.

#### public abstract void onConnectionSuspended (int cause)

Called when the client is temporarily in a disconnected state. This can happen if there is a problem with the remote service (e.g. a crash or resource problem causes it to be killed by the system). When called, all requests have been canceled and no outstanding listeners will be executed. Applications should disable UI components that require the service, and wait for a call to `onConnected(Bundle)` to re-enable them.

##### Parameters

cause | The reason for the disconnection. Defined by constants `CAUSE_*`.